curl -X GET "https://api.caret.so/v1/workspace/members?limit=20&offset=0" \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
'https://api.caret.so/v1/workspace/members?limit=20&offset=0',
{
headers: {
Authorization: 'Bearer your_api_key_here',
},
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/workspace/members"
params = {
"limit": "20",
"offset": "0"
}
headers = {
"Authorization": "Bearer your_api_key_here"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
{
"items": [
{
"id": "user_123456789",
"name": "John Doe",
"email": "john@example.com",
"profileUrl": "https://example.com/profile.jpg",
"role": "admin",
"createdAt": "2023-01-01T00:00:00Z",
"folders": [
{
"id": "folder_123",
"name": "Product"
}
],
"groups": [
{
"id": "folder_123",
"name": "Product"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: users"
}
}
Members
List Members
Get a paginated list of members in the workspace
GET
/
v1
/
workspace
/
members
curl -X GET "https://api.caret.so/v1/workspace/members?limit=20&offset=0" \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
'https://api.caret.so/v1/workspace/members?limit=20&offset=0',
{
headers: {
Authorization: 'Bearer your_api_key_here',
},
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/workspace/members"
params = {
"limit": "20",
"offset": "0"
}
headers = {
"Authorization": "Bearer your_api_key_here"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
{
"items": [
{
"id": "user_123456789",
"name": "John Doe",
"email": "john@example.com",
"profileUrl": "https://example.com/profile.jpg",
"role": "admin",
"createdAt": "2023-01-01T00:00:00Z",
"folders": [
{
"id": "folder_123",
"name": "Product"
}
],
"groups": [
{
"id": "folder_123",
"name": "Product"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: users"
}
}
Overview
This endpoint returns a paginated list of members in the workspace. You can filter the results by name or email using thesearch parameter.
Authentication
All API requests must useAuthorization: Bearer <API_KEY>. This endpoint requires the users scope.
string
required
Bearer token. Format:
Bearer <API_KEY>.Query Parameters
number
default:"20"
Number of items per page (1-100).
number
default:"0"
Starting position.
string
Search by name or email.
Response
object[]
List of workspace members.
Show properties
Show properties
string
Unique identifier for the user in the workspace (user ID).
string
User name.
string
User email.
string | null
Profile image URL.
string
User role in the workspace.
string
ISO8601 timestamp of when the user joined.
object[]
User groups (v1 alias for folders, same data as
folders).object
curl -X GET "https://api.caret.so/v1/workspace/members?limit=20&offset=0" \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
'https://api.caret.so/v1/workspace/members?limit=20&offset=0',
{
headers: {
Authorization: 'Bearer your_api_key_here',
},
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/workspace/members"
params = {
"limit": "20",
"offset": "0"
}
headers = {
"Authorization": "Bearer your_api_key_here"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
{
"items": [
{
"id": "user_123456789",
"name": "John Doe",
"email": "john@example.com",
"profileUrl": "https://example.com/profile.jpg",
"role": "admin",
"createdAt": "2023-01-01T00:00:00Z",
"folders": [
{
"id": "folder_123",
"name": "Product"
}
],
"groups": [
{
"id": "folder_123",
"name": "Product"
}
]
}
],
"pagination": {
"limit": 20,
"nextOffset": null,
"isLast": true
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: users"
}
}
⌘I